curl --request GET \
--url https://api.synctera.com/v1/webhooks/{webhook_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/webhooks/{webhook_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled_events": [
"ADVERSE_ACTION.*"
],
"is_enabled": true,
"url": "<string>",
"creation_time": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_updated": "2023-11-07T05:31:56Z",
"last_updated_time": "2023-11-07T05:31:56Z",
"metadata": {},
"tenant": "abcdef_ghijkl"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Get a webhook
Get a webhook by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Webhook ID
"b01db9c7-78f2-4a99-8aca-1231d32f9b96"
Response
Webhook
Webhook object
A list of the events that will trigger the webhook. Subscribing to a wildcard event, e.g. ACCOUNT.*, will send all webhooks for all events that match that pattern. Note that this can include new event types added after the subscription was created.
ADVERSE_ACTION.*, APPLICATION.*, CARD.*, CRR.*, DISPUTE.*, DOCUMENT_VERIFICATION_SESSION.*, EDD.*, EXTERNAL_CARD.*, EXTERNAL_CARD_TRANSFER.*, INTERNAL_TRANSFER.*, RESOURCE_MAPPING.*, SPEND_CONTROL.*, STATEMENT.*, TRANSACTION.* Set the webhook to be enabled or disabled
URL that the webhook will send request to
1000Webhook creation timestamp in RFC3339 format
A description of what the webhook is used for
The unique ID of the webhook
Timestamp that this webhook was created or the last time any field was changed
Timestamp of the last Webhook modification in RFC3339 format
Additional information stored to the webhook
The id of the tenant containing the resource.
"abcdef_ghijkl"
Was this page helpful?

